MetaCPAN::Client::ResultSet(3pm)

NAME
MetaCPAN::Client::ResultSet - A Result Set

VERSION
version 2.044000

DESCRIPTION
Object representing a result from Elastic Search. This is used for the complex (as in non-simple) queries to MetaCPAN. It provides easy access to the scroller and aggregations.

ATTRIBUTES

  scroller
An MetaCPAN::Client::Scroll object.

  items
An arrayref of items to manually scroll over, instead of a scroller object.

  index
The entity of the result set. Available indices:

•   author

•   distribution

•   module

•   release

•   favorite

•   file

  aggregations
The aggregations available in the Elastic Search response.

METHODS

  next
Iterator call to fetch the next result set object.

  total
Iterator call to fetch the total amount of objects available in result set.

  has_scroller
Predicate for ES scroller presence.

  BUILDARGS
Double checks construction of objects. You should never run this yourself.

  BUILD
Validates the object. You should never run this yourself.

AUTHORS

•   Sawyer X <xsawyerx@cpan.org>

•   Mickey Nasriachi <mickey@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Sawyer X.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.